Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.ssygvd

scipy.linalg.lapack.ssygvd(a, b[, itype, jobz, uplo, lwork, liwork, overwrite_a, overwrite_b]) = <fortran function ssygvd>

  Wrapper for `ssygvd`.

  Parameters:
    a input rank-2 array(‘f’) with bounds `(n,n)`
    b input rank-2 array(‘f’) with bounds `(n,n)`
  Returns:
    w rank-1 array(‘f’) with bounds `(n)`
    v rank-2 array(‘f’) with bounds `(n,n)` with `a` storage
    info int
  Other Parameters:
    itype input int, optional

      Default `1`

    jobz input bytes, optional

      Default `'V'`

    uplo input bytes, optional

      Default `'L'`

    overwrite_a input int, optional

      Default `0`

    overwrite_b input int, optional

      Default `0`

    lwork input int, optional

      Default `(jobz=='N'?2*n+1:1+6*n+2*n*n)`

    liwork input int, optional

      Default `(jobz=='N'?1:5*n+3)`